<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:p="http://primefaces.org/ui"> 

<h:head></h:head> 
<body> 
		<b:panelGrid columns="4">
			<b:commandButton id="btnMaj" value="Mettre à Jour" look="primary" size="lg" onclick="enable_disable()" action="#{mbMasseurs.updateMasseur()}" rendered="#{mbAccount.utilisateur.role == 'Admin'}"></b:commandButton>
			<b:commandButton id="btnValider" value="Valider" look="warning" size="lg" action="#{mbMasseurs.updateMasseur()}" rendered="#{mbAccount.utilisateur.role == 'Admin'}"></b:commandButton>
			<b:commandButton value="Mettre à Jour" look="primary" size="lg" action="#{mbAccount.updateMasseur()}" rendered="#{mbAccount.utilisateur.role == 'Masseur'}"></b:commandButton>
			<b:commandButton value="Désactiver" look="danger" size="lg"  action="#{mbMasseurs.desactiverMasseur()}" data-target="#amodal" id="atrigger" rendered="#{mbAccount.utilisateur.role == 'Admin'}"></b:commandButton>
		</b:panelGrid>
<script>  
        function enable_disable() { 
            $("btnValider").prop('visible', true); 
            $("btnMaj").prop('visible', false); 
        } 
</script>
</body> 
</html>
